
/** @file constants.h
 *
 * Interface to constants
 *
 */

/*
 *  Copyright (C) 2007 Stefan Weinzierl
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SECTOR_DECOMPOSITION_CONSTANTS_H__
#define __SECTOR_DECOMPOSITION_CONSTANTS_H__

#include <ginac/ginac.h>

namespace sector_decomposition {

  /// keywords for the integration domains
  enum {
    SIMPLEX,
    CUBE,
    CUBE_COORDINATE_SUBSPACE
  };

  /// global variable for the choice of the strategy
  extern unsigned CHOICE_STRATEGY;

  /// keywords for the different strategies
  enum {
    STRATEGY_A,
    STRATEGY_B,
    STRATEGY_C,
    STRATEGY_X,
    STRATEGY_Y
  };

  /// a symbol to denote infinity
  extern GiNaC::symbol Infinity; 


} // namespace sector_decomposition

#endif // ndef __SECTOR_DECOMPOSITION_CONSTANTS_H__

